Bug 11380 - 2.6.1 - unhelpful and vague note - needs more specifics
Summary: 2.6.1 - unhelpful and vague note - needs more specifics
Status: RESOLVED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-22 20:28 UTC by Glenn Adams
Modified: 2011-08-04 05:15 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Adams 2010-11-22 20:28:46 UTC
The note at the end of 2.6.1:

"The term "URL" in this specification is used in a manner distinct from the precise technical meaning it is given in RFC 3986. Readers familiar with that RFC will find it easier to read this specification if they pretend the term "URL" as used herein is really called something else altogether. This is a willful violation of RFC 3986. [RFC3986]"

is both vague and unhelpful.

In what ways is the meaning of URL in the HTML5 spec distinct from the meaning given in 3986? In what way is this usage a willful violation of 3986. Please add specifics, or at least one or more examples of distinctness.

This note is also confusing in the light of the earlier statement in 2.6.1:

"URL is a valid URL if at least one of the following conditions holds: The URL is a valid URI reference [RFC3986]..."

Regards,
Glenn
Comment 1 Ian 'Hixie' Hickson 2011-01-01 05:55:08 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: The note was added at the request of some of the members of the working group who felt very strongly about the subject. I don't intend to touch it again. (I'd much rather simply remove all references to these RFCs, since they're rather out of touch with reality, but currently there's no better reference.)
Comment 2 Michael[tm] Smith 2011-08-04 05:15:17 UTC
mass-move component to LC1